Package org.mariadb.jdbc.export

# Class ExceptionFactory.SqlExceptionFactory

java.lang.Object
org.mariadb.jdbc.export.ExceptionFactory
org.mariadb.jdbc.export.ExceptionFactory.SqlExceptionFactory

Enclosing class:
  `ExceptionFactory`

public class ExceptionFactory.SqlExceptionFactory extends ExceptionFactory
Exception with SQL command

## Nested Class Summary

## Nested classes/interfaces inherited from class org.mariadb.jdbc.export.ExceptionFactory

`ExceptionFactory.SqlExceptionFactory`

## Constructor Summary

Constructors
Constructor
Description
`SqlExceptionFactory(Connection connection, MariaDbPoolConnection poolConnection, Configuration conf, HostAddress hostAddress, long threadId, Statement statement, String sql)`
Constructor of Exception factory with SQL

## Method Summary

Modifier and Type
Method
Description
`String`
`getSql()`
get SQL command

### Methods inherited from class org.mariadb.jdbc.export.ExceptionFactory

`create, create, create, create, create, createBatchUpdate, createBatchUpdate, notSupported, of, setConnection, setConnection, setPoolConnection, setThreadId, withSql`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SqlExceptionFactory

public SqlExceptionFactory(Connection connection, MariaDbPoolConnection poolConnection, Configuration conf, HostAddress hostAddress, long threadId, Statement statement, String sql)
Constructor of Exception factory with SQL

Parameters:
  `connection` - connection
  `poolConnection` - pool connection
  `conf` - configuration
  `hostAddress` - host
  `threadId` - connection thread id
  `statement` - statement
  `sql` - sql

## Method Details

### getSql

public String getSql()
Description copied from class: `ExceptionFactory`
get SQL command

Overrides:
  `getSql` in class `ExceptionFactory`
Returns:
  sql command